> ## Documentation Index
> Fetch the complete documentation index at: https://dripart-feat-openapi-i18n.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ユーザーアセットの一覧表示

> 認証されたユーザーに属するアセットのページネーションされたリストを取得します。
タグ、名前、メタデータによるフィルタリング、および並べ替えオプションをサポートしています。




## OpenAPI

````yaml /openapi/cloud.ja.yaml get /api/assets
openapi: 3.0.3
info:
  title: Comfy Cloud API
  description: >
    <Warning>

    **実験的API:** このAPIは実験的であり、変更される可能性があります。

    エンドポイント、リクエスト/レスポンス形式、および動作は予告なく変更される場合があります。

    </Warning>


    Comfy CloudのAPI - クラウドインフラ上でComfyUIワークフローを実行します。


    このAPIを使用すると、Comfy Cloudとプログラムで連携できます。内容は次のとおりです。

    - ワークフローの送信と管理

    - ファイルのアップロードとダウンロード

    - ジョブの状態と進捗の監視


    ## クラウド vs OSS ComfyUI 互換性


    Comfy Cloudは最大限の互換性のためにOSS
    ComfyUIと同じAPIインターフェースを実装していますが、一部のフィールドは互換性のために受け入れられますが、異なる処理が行われたり無視されたりします。


    | フィールド | エンドポイント | クラウドの動作 |

    |-------|-----------|----------------|

    | `subfolder` | `/api/view`, `/api/upload/*` | **無視** -
    クラウドはコンテンツアドレスストレージ（ハッシュベース）を使用します。クライアント側の整理のためにレスポンスで返されます。 |

    | `type` (input/output/temp) | `/api/view`, `/api/upload/*` | 部分的に使用 -
    すべてのファイルはディレクトリ構造ではなくタグベースの整理で保存されます。 |

    | `overwrite` | `/api/upload/*` | **無視** -
    コンテンツアドレスストレージでは、同一のコンテンツは常に同じハッシュを持ちます。 |

    | `number`, `front` | `/api/prompt` | **無視** - クラウドはユーザーごとに独自の公平キュー
    スケジューリングを使用します。 |

    | `split`, `full_info` | `/api/userdata` | **無視** -
    クラウドは常に完全なファイルメタデータを返します。 |


    これらのフィールドは、既存のComfyUIクライアントやワークフローとのドロップイン互換性のためにAPIスキーマに保持されています。
  version: 1.0.0
  license:
    name: GNU General Public License v3.0
    url: https://github.com/Comfy-Org/ComfyUI/blob/master/LICENSE
servers:
  - url: https://cloud.comfy.org
    description: Comfy Cloud API
security:
  - ApiKeyAuth: []
tags:
  - name: workflow
    description: |
      ワークフローを実行のために送信し、実行キューを管理します。
      これはクラウド上でComfyUIワークフローを実行するための主要な方法です。
  - name: job
    description: |
      ジョブステータスを監視し、実行履歴を表示し、実行中のジョブを管理します。
      ジョブはPOST /api/promptを介してワークフローを送信するときに作成されます。
  - name: asset
    description: |
      永続的なアセット（画像、モデル、出力）をアップロード、ダウンロード、管理します。
      アセットはタグ付けとメタデータサポートを備えた耐久性のあるストレージを提供します。
  - name: file
    description: |
      ローカルのComfyUIと互換性のあるレガシーファイルのアップロードおよびダウンロードエンドポイント。
      新しい統合には、代わりにAssets APIの使用を検討してください。
  - name: model
    description: |
      利用可能なAIモデルをブラウズします。モデルはクラウドインフラストラクチャにプリロードされています。
  - name: node
    description: |
      利用可能なComfyUIノードとその入力/出力に関する情報を取得します。
      動的なワークフローインターフェースの構築に役立ちます。
  - name: user
    description: |
      ユーザーアカウント情報と個人データの保存。
  - name: system
    description: |
      サーバーステータス、ヘルスチェック、システム情報。
paths:
  /api/assets:
    get:
      tags:
        - asset
      summary: ユーザーアセットの一覧表示
      description: |
        認証されたユーザーに属するアセットのページネーションされたリストを取得します。
        タグ、名前、メタデータによるフィルタリング、および並べ替えオプションをサポートしています。
      operationId: listAssets
      parameters:
        - name: include_tags
          in: query
          description: これらのタグをすべて持つアセットをフィルタリング
          schema:
            type: array
            items:
              type: string
          style: form
          explode: false
        - name: exclude_tags
          in: query
          description: これらのタグのいずれかを持つアセットを除外
          schema:
            type: array
            items:
              type: string
          style: form
          explode: false
        - name: name_contains
          in: query
          description: 名前がこの部分文字列を含むアセットをフィルタリング（大文字小文字を区別しない）
          schema:
            type: string
        - name: metadata_filter
          in: query
          description: メタデータフィールドでフィルタリングするためのJSONオブジェクト
          schema:
            type: string
        - name: limit
          in: query
          description: 返すアセットの最大数（1-500）
          schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 20
        - name: offset
          in: query
          description: ページネーションのためにスキップするアセットの数
          schema:
            type: integer
            minimum: 0
            default: 0
        - name: sort
          in: query
          description: 並べ替えるフィールド
          schema:
            type: string
            enum:
              - name
              - created_at
              - updated_at
              - size
              - last_access_time
            default: created_at
        - name: order
          in: query
          description: 並び替え順序
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
        - name: include_public
          in: query
          description: 結果に公開/共有アセットを含めるかどうか
          schema:
            type: boolean
            default: true
      responses:
        '200':
          description: 成功 - アセットを返しました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAssetsResponse'
        '400':
          description: 無効なリクエストパラメータ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 認証されていません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 内部サーバーエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ListAssetsResponse:
      type: object
      required:
        - assets
        - total
        - has_more
      properties:
        assets:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
          description: クエリに一致するアセットのリスト
        total:
          type: integer
          description: フィルターに一致するアセットの総数
        has_more:
          type: boolean
          description: このページを超えてさらにアセットが利用可能かどうか
    ErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    Asset:
      type: object
      required:
        - id
        - name
        - size
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
          description: アセットの一意な識別子
        name:
          type: string
          description: アセットファイルの名前
        asset_hash:
          type: string
          description: アセットコンテンツのBlake3ハッシュ
          pattern: ^blake3:[a-f0-9]{64}$
        size:
          type: integer
          format: int64
          description: アセットのサイズ（バイト単位）
        mime_type:
          type: string
          description: アセットのMIMEタイプ
        tags:
          type: array
          items:
            type: string
          description: アセットに関連付けられたタグ
        user_metadata:
          type: object
          description: アセットのカスタムユーザーメタデータ
          additionalProperties: true
        preview_url:
          type: string
          format: uri
          description: アセットのプレビュー/サムネイルのURL
        preview_id:
          type: string
          format: uuid
          description: 利用可能な場合のプレビューアセットのID
          nullable: true
        prompt_id:
          type: string
          format: uuid
          description: このアセットを作成したジョブ/プロンプトのID（利用可能な場合）
          nullable: true
        created_at:
          type: string
          format: date-time
          description: アセット作成時のタイムスタンプ
        updated_at:
          type: string
          format: date-time
          description: アセットの最終更新時刻のタイムスタンプ
        last_access_time:
          type: string
          format: date-time
          description: アセットの最終アクセス時刻のタイムスタンプ
        is_immutable:
          type: boolean
          description: このアセットが不変であるかどうか（変更または削除不可）
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |
        APIキー認証。アカウント設定からAPIキーを生成します
        （https://platform.comfy.org/profile/api-keys）。X-API-Keyヘッダーでキーを渡します。

````